<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-24T20:49:36Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment>Verified with DataPRO version 4.1.229, 4.0.884
 
Tested:
 
Add SPDB to test setup and check hardware step of edit test setup</Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2023-03-13T17:17:33Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2023-02-28T21:21:48Z</TimeStamp>
    <ReleaseNote>the sample rate drop down has been eliminated from some H/W</ReleaseNote>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2023-02-28T21:21:29Z</TimeStamp>
    <ReleaseNote>the sample rate drop down has been eliminated from distributors that don't have any associated DAS in the hardware list.</ReleaseNote>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-02-28T21:20:11Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-02-28T18:04:42Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>48339 is 4.0; 48340 is 4.1.</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2023-02-27T19:08:31Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-02-24T16:58:43Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>To test:
Create a Test Setup with a SLICE PRO Distributor (SPDBxxxxx) and verify that in the Hardware step of Edit Test Setup it doesn't have a ComboBox control in the Test Sample Rate column when in Compact view.

For extra credit:
Verify that other distributor types also do not have the control in Compact view UNLESS THEY HAVE A CHILD DAS in the Test Setup:
SLICE Mini Distributor (SPMxxxxx)
SLICE Ethernet Controller (SPExxxxx)
SLICE Distributor (SDxxxxx)
SLICE 6 Distributor 3 (S6DB3xxxxx)
SLICE 6 Distributor (S6DBxxxxx)
PowerPro Battery (PPROxxxxx)
</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-02-24T16:50:37Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>This 4.1 patch fixes an issue that was discovered by testers of SLICE PRO Distributors - this type of DAS should not have a "Test Sample Rate" dropdown control in the Hardware step of Edit Test Setup.

While designing the fix, I noticed that this was not the only distributor with this issue, and that further, it seems that it doesn't make sense to provide the "Test Sample Rate" dropdown for any distributor which doesn't have child DAS associated with it in a Test Setup.

So, I added a new property, HasIncludedChildren,  which helps determine the visibility of the "Test Sample Rate" dropdown, and set it whenever DAS was added or removed.

Another thing that I found was that removing DAS from a Test Setup didn't immediately re-evaluate the "mixed status" of DAS, when moving between Compact and Expanded views.</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-02-24T16:39:39Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-02-23T00:36:17Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>Charge code for SLICE PRO DB (do you have it?)</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-02-15T21:11:31Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-02-15T19:16:36Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-02-15T19:07:49Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-02-15T18:25:37Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-02-07T00:37:29Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Opened</StatusString>
    <TimeStamp>2023-02-07T00:37:29Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>